Bug 1948981 - Align dependencies and libraries with latest ironic code
Summary: Align dependencies and libraries with latest ironic code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Bare Metal Hardware Provisioning
Version: 4.8
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.8.0
Assignee: Riccardo Pittau
QA Contact: Lubov
URL:
Whiteboard:
Depends On:
Blocks: 2002405
TreeView+ depends on / blocked
 
Reported: 2021-04-13 08:06 UTC by Riccardo Pittau
Modified: 2021-09-09 10:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:59:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 159 0 None open Bug 1948981: Update packages to latest for 4.8 2021-04-13 08:08:35 UTC
Github openshift ironic-inspector-image pull 64 0 None open Bug 1948981: Update packages to latest for 4.8 2021-04-13 08:08:51 UTC
Github openshift ironic-ipa-downloader pull 66 0 None closed Update ipa-ramdisk to latest for 4.8 2021-04-19 09:41:41 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 23:00:13 UTC

Description Riccardo Pittau 2021-04-13 08:06:08 UTC
Numerous fixes have been skipped before the OCP 4.8 feature freeze for different reasons.
We need to be sure that at least the packages in the list below are part of the ironic images to provide correct libraries and dependencies for the ironic code delivered in OCP 4.8:
python-pyrsistent-0.16.0-3.el8ost
python-oslo-upgradecheck-1.3.0-0.20210325003851.9f95a6e.el8
python-jsonschema-3.2.0-5.el8ost
openstack-ironic-inspector-10.6.1-0.20210406091336.579f59c.el8
openstack-ironic-17.0.1-0.20210407191221.d6bb66d.el8
python-ironic-prometheus-exporter-2.2.1-0.20210325143713.70e39c8.el8
python-sushy-3.7.1-0.20210325021941.ab3a97e.el8
ironic-images-2021.1-20210407.1.test.el8
ironic-images-ipa-ppc64le-2021.1-20210407.1.test.el8
ironic-images-ipa-x86_64-2021.1-20210407.1.test.el8

Comment 2 Lubov 2021-04-19 06:52:23 UTC
$ oc exec -it metal3-66978dd868-j8ln6 -c metal3-ironic-conductor -n openshift-machine-api -- bash
[root@master-0-2 /]# rpm -qa|grep python3| egrep "pyr|oslo|json|sush|prome"
python3-pyrsistent-0.16.0-3.el8ost.x86_64
python3-oslo-upgradecheck-1.3.0-0.20210325003851.9f95a6e.el8.noarch
python3-jsonschema-3.2.0-5.el8ost.noarch
python3-ironic-prometheus-exporter-2.2.1-0.20210325143713.70e39c8.el8.noarch
python3-sushy-3.7.1-0.20210325021941.ab3a97e.el8.noarch

[root@master-0-2 /]# rpm -qa|grep ironic
openstack-ironic-api-17.0.1-0.20210407191221.d6bb66d.el8.noarch
openstack-ironic-conductor-17.0.1-0.20210407191221.d6bb66d.el8.noarch


[kni@provisionhost-0-0 ~]$ oc exec -it metal3-66978dd868-j8ln6 -c metal3-ironic-inspector -n openshift-machine-api -- bash
[root@master-0-2 /]# rpm -qa|grep ironic
openstack-ironic-inspector-10.6.1-0.20210406091336.579f59c.el8.noarch

Comment 3 Lubov 2021-04-19 06:54:26 UTC
I don't see in pull requests where did you change something for 
openstack-ironic-17.0.1-0.20210407191221.d6bb66d.el8
ironic-images-2021.1-20210407.1.test.el8
ironic-images-ipa-ppc64le-2021.1-20210407.1.test.el8
ironic-images-ipa-x86_64-2021.1-20210407.1.test.el8

Comment 5 Lubov 2021-04-19 09:50:47 UTC
$ oc exec -it metal3-66978dd868-j8ln6 -c metal3-ironic-conductor -n openshift-machine-api -- bash
[root@master-0-2 /]# rpm -qa|grep ironic
openstack-ironic-common-17.0.1-0.20210407191221.d6bb66d.el8.noarch

Comment 6 Lubov 2021-04-19 10:57:17 UTC
Verified in the latest build https://brewweb.engineering.redhat.com/brew/buildinfo?buildID=1574794
x86_64-build.log
Installed:

  ironic-images-base-2021.1-20210407.1.test.el8.noarch                          

  ironic-images-ipa-x86_64-2021.1-20210407.1.test.el8.noarch

ppc64le-build.log
Installed:

  ironic-images-base-2021.1-20210407.1.test.el8.noarch                          

  ironic-images-ipa-ppc64le-2021.1-20210407.1.test.el8.noarch

Comment 9 errata-xmlrpc 2021-07-27 22:59:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.